VMware Workstation 7.1.5 on Fedora 16

Due to licensing issue, I need to downgrade VMware Workstation 8 to VMware Workstation 7.1.5.

While launching the VMware Workstation 7.1.5, that caused an error message:

Nov 18 21:20:43.159: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.162: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.165: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.168: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.171: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.177: app-139682775324416| Your GCC version: 4.6
Nov 18 21:20:43.187: app-139682775324416| Your GCC version: 4.6
Nov 18 21:20:43.244: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.249: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.253: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.257: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.261: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.266: app-139682775324416| Your GCC version: 4.6
Nov 18 21:20:43.277: app-139682775324416| Your GCC version: 4.6
Nov 18 21:20:43.352: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.356: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.360: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.363: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.366: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.491: app-139682775324416| Trying to find a suitable PBM set for kernel 3.1.1-1.fc16.x86_64.
Nov 18 21:20:43.492: app-139682775324416| Building module vmmon.
Nov 18 21:20:43.492: app-139682775324416| Extracting the sources of the vmmon module.
Nov 18 21:20:43.507: app-139682775324416| Building module with command: /usr/bin/make -C /tmp/vmware-root/modules/vmmon-only auto-build SUPPORT_SMP=1 HEADER_DIR=/lib/modules/3.1.1-1.fc16.x86_64/build/include CC=/usr/bin/gcc GREP=/usr/bin/make IS_GCC_3=no VMCCVER=4.6.2
Nov 19 21:20:44.569: app-139682775324416| Failed to compile module vmmon!

I found a solution for this well known bug. Download the patch to fix VMware Workstation 7.1.5 on Linux Kernel 3.1.1

If you’re using VMware workstation 7.1.5, following this steps to modify the script.

vi the script patch-modules_2.6.39.sh and change the vmreqver variable to 7.1.5

fpatch=vmware2.6.39fixedv3.patch
vmreqver=7.1.5
plreqver=3.1.4

Once you have edit this patch file, and launch the sh script:

./patch-modules_2.6.39.sh

After the patch executed OK, you should be able to start VMware Workstation 7.1.5.

Posted in Computer Technology, Linux Tagged with: ,

Leave a Reply